Subject: Re: bug#20817: 25.0.50; Problems with upgrading of packages

From: Mark Karpov <[email-masked]>
Date: Thu, 18 Jun 2015 21:58:32 +0600

> You can fake a downgrade.
> 1. Rename one of the directories inside ".elpa" (like "org-2015nnnn"
> to "org-1"),
> 2. change the version number inside the "org-1/org-pkg.el" file,
> 3. restart emacs (or maybe just M-x package-initialize).

Great, now I'm remembering that I used this trick some time ago to test
one my function (it upgrades all packages without displaying *packages*
buffer — good feature to have, by the way).

Now, the interesting thing is that this advice really makes
difference. Without it, there are no problems. With this advice in
place, I'm getting message that some package is unavailable. I remember
that not long time ago it worked even with this advice (I think
so). However, I'm still considering it a bug, because I don't see why
such an advice cannot be used.

Now, at least, we can tell where the problem really lies. It should be
easier now to understand why this happens.